/* ==========================================================================
   Blog List shortcode - Standard type style - begin
   ========================================================================== */

.mkdf-blog-list-holder {
    
    &.mkdf-bl-standard {
        
        &:not(.mkdf-bl-one-column) {
            
            .mkdf-bl-item {
                float: left;
            }
        }
        
        $columns_number: ('two', 'three', 'four', 'five');

        @for $i from 0 to length($columns_number) {
            &.mkdf-bl-#{nth($columns_number,$i+1)}-columns {

                .mkdf-bl-item {
                    width: 100% / ($i+2);
                }

                @if ($i > 1) { // set different break point for four and five columns
                    @media only screen and (min-width: $laptop-landscape-medium-plus-pixel) {
                        .mkdf-bl-item {

                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                } @else if ($i == 1 ) { // set different break point for three columns
                    @media only screen and (min-width: $laptop-landscape-plus-pixel) {

                        .mkdf-bl-item {

                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                } @else {
                    @media only screen and (min-width: $ipad-landscape-plus-pixel) {

                        .mkdf-bl-item {

                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                }
            }
        }

        .mkdf-bli-info-bottom {
            margin-top: 28px;
            padding-top: 17px;
            border-top: 1px solid #efefef;
        }
    }
}
/* ==========================================================================
   Blog List shortcode - Standard type style - end
   ========================================================================== */